Package: groovy.io

## [Java] Enum FileType

- groovy.io.FileType

-     public enum FileType
      extends Enum

  Represents particular files of interest.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `ANY` | Represents both normal files and directories
    `DIRECTORIES` | Represents directories
    `FILES` | Represents normal files

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `compareTo, compareTo, describeConstable, equals, getClass, getDeclaringClass, hashCode, name, notify, notifyAll, ordinal, toString, valueOf, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FileType ANY

      Represents both normal files and directories

    - #### FileType DIRECTORIES

      Represents directories

    - #### FileType FILES

      Represents normal files